Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.mindprod.compactor
Enum TagCategory

    java.lang.Object
      java.lang.Enum<TagCategory>
          com.mindprod.compactor.TagCategory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TagCategory>

    public enum TagCategory

extends java.lang.Enum<TagCategory>

categorises HTML tag

Enum Constant Summary
`COMMENT`
Method Summary
`static TagCategory` | `categorise(java.lang.String tag, boolean quick)` decide which category a tag belongs to
`static TagCategory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TagCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`
Enum Constant Detail
### COMMENT
    public static final TagCategory COMMENT
  ### INVALID
      public static final TagCategory INVALID
  not a tag, usually missing < entity ### LEFT_TRIM
      public static final TagCategory LEFT_TRIM
tag like that trims spaces to the left of the tag

### PLAIN

    public static final TagCategory PLAIN

  ordinary tag, no special processing.

### PRE

    public static final TagCategory PRE

### RIGHT_TRIM

    public static final TagCategory RIGHT_TRIM

  tag like
- | that trims spaces to the right of the tag

### SLASH_PRE

    public static final TagCategory SLASH_PRE

Method Detail

### values

    public static TagCategory[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TagCategory c : TagCategory.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TagCategory valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### categorise

    public static TagCategory categorise(java.lang.String tag,
                                         boolean quick)

  decide which category a tag belongs to

  Parameters:
    `tag` - e.g. "dt" "/dt" without enclosing <> or trailing whitespace, in lower case, trimmed to 4 chars. also !DOCTYPE -> !DOC and -> !
    `quick` - true if no need to check for LEFT_TRIM
  Returns:
    return category of the tag

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD